Kerbal Space Program - Bug #17338

Interface stop working after reject or accept contracts in rapid succession.
02/16/2018 06:26 AM - Ricasan_df

Status: New Start date: 02/16/2018
Severity: High % Done: 0%
Assignee:

Category: Controls and Ul

Target version:

Version: PS4 - Enhanced Edition 2018-01-16 Language: English (US)
Platform: PS4 Mod Related: No
Expansion: Core Game

Description

Just reject or accept contracts in rapid succession and interface (save, quit to main menu) stops working.

Ps: since | let a ship in the complex, when this bug happens | can see the icon/pin (for fly or recover) under screen, like | was viewing
the complex, but with contracts screen floating uselessly in front.

Workaround is load any save, or force close application.

Effects is you loose all contracts, accepted or rejected, like you never ever had take any action on each one, and all progression from
last save, manual or automatic ones.

To mitigate looses, save before entering contracts screen.

History

#1 - 04/27/2018 03:33 PM - bewing
- Category set to Controls and Ul

- Expansion Core Game added

This has been reported by other users also. However, following your steps "Accept contracts in rapid succession" -- does not cause any error on my
console. | upgrade my Mission Control to level 3, and rapidly accept every single contract on the list. Exit Mission Control. Open Pause menu. Attempt
to activate every button in it. Every single one of them works.

Which means that either there is some important step missing from your simple instructions, or your method for creating the bug is intermittent. Your
bug report needs more information about that.

#2 - 05/08/2018 07:52 AM - jsantiago

Please include detailed step-by-step instructions for easy reproduction

04/10/2024 1/1



http://www.tcpdf.org

